/*
  Mace - http://MaceHQ.cjb.net
  Copyright 1999
  See the file ReadMe.txt for more information
*/


/***************************** 68000 SIMULATOR ****************************

File Name: VAR.H
Version: 1.0

This file contains all global variable definitions for the simulator
program.  It is included in the module "sim.c" which contains main().



        BE CAREFUL TO KEEP THESE DECLARATIONS IDENTICAL TO THE GLOBAL
        VARIABLE DECLARATIONS IN "EXTERN.H"


***************************************************************************/


#include "def.h"                   /* include file for constants & types */
#include "proto.h"		/* function prototypes */


long 	D[D_REGS], OLD_D[D_REGS], A[A_REGS], OLD_A[A_REGS];
long 	PC, OLD_PC, VERY_OLD_PC;
short	SR, OLD_SR;
int 	trace, sstep, old_trace, old_sstep, exceptions;

unsigned char memory[MEMSIZE];								/* array for memory */
int 	errflg;
int 	inst;

long	*EA1, *EA2;
long	EV1, EV2;

long	source, dest, result;

long	global_temp;		/* to hold an immediate data operand */